Skip to main content
POST
/
2025-01
/
marketing-solutions
/
campaigns
/2025-01/marketing-solutions/campaigns
curl --request POST \
  --url https://api.criteo.com/2025-01/marketing-solutions/campaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "Campaign"
  }
}
'
{
  "data": {
    "attributes": {
      "advertiserId": "<string>",
      "budgetAutomation": {
        "automatedBudgetConfiguration": {},
        "enabled": true
      },
      "id": "<string>",
      "name": "<string>",
      "spendLimit": {
        "spendLimitAmount": {
          "value": 123
        }
      }
    },
    "id": "<string>",
    "type": "Campaign"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

the campaigns to create

Data model for an input resources

data
object

Data model for a Resource

Response

201 - application/json

The campaign that has been created and errors / warnings

Data model for response resource

data
object

Data model for a Resource

errors
object[] | null
read-only
warnings
object[] | null
read-only